LaTeX API
API referenceCompile

Compile without an API key (playground)

POST
/v1/demo/compile

Heavily rate limited per IP and restricted to small JSON projects. Returns the same responses as /v1/compile.

Request Body

application/json
  1. body
source?string

Single-file document source.

Length1 <= length <= 200000
files?array<>
Itemsitems <= 20
entrypoint?string
engine?Engine

TeX engine. Detected from a % !TEX program = ... magic comment when omitted; defaults to pdflatex.

Value in"pdflatex""xelatex""lualatex"

Response Body

PDF or job envelope

response?fileapplication/pdf
Formatbinary
Example Request
curl -X POST 'https://latex-api.crafter.run/v1/demo/compile' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
"string"